package travellers;

import publications.Publication;
import readers.Reader;

public class SearchTravellerStation
    implements TravellerStation {
    
    public SearchTravellerStation(
            String pConditions,
            boolean pByAuthor,
            boolean pByPublication ) {
        
        mConditions = pConditions;
        mByAuthor = pByAuthor;
        mByPublication = pByPublication;
    }
    
    public Publication getPublication(
            Reader pReader ) {
        
        return pReader.search(
                mConditions,
                mByAuthor,
                mByPublication );
    }
    
    private String mConditions;
    private boolean mByAuthor;
    private boolean mByPublication;
}