package travellers;

import publications.Publication;
import readers.Reader;

public class TopicTravellerStation
    implements TravellerStation {
    
    public TopicTravellerStation(
            String pTopic ) {
        
        mTopic = pTopic;
    }
    
    public Publication getPublication(
            Reader pReader ) {
        
        return pReader.getTopic( mTopic );
    }
    
    private String mTopic;
    
}
