package connector;

import java.sql.DriverManager;
import java.sql.Connection;
import java.sql.SQLException;

public class MySQLRDBMSConnector
    extends RDBMSConnector {
    
    public Connection mountConnection() {
        
        Connection lConnection = null;
        
        if( mParameters == null ) {
            return null;
        }
        String lDatabaseURL = new String(
                "jdbc:mysql://" + mParameters.getHost() + 
                ":" + mParameters.getPort().toString()  + 
                "/" + mParameters.getDatabase() + 
                "?useUnicode=true&characterEncoding=UTF-8" );
        try {
            lConnection = DriverManager.getConnection(
                    lDatabaseURL,
                    mParameters.getLogin(),
                    mParameters.getPassword() );
        } catch( SQLException eFailed ) {
        }
        
        return lConnection;
    }
    
}