package connector;

import java.sql.Connection;

public abstract class RDBMSConnector {
    
    public void setParameters(
            ConnectionParameters pParameters ) {
        
        if( pParameters != null ) {
            mParameters = pParameters.clone();
        } else {
            mParameters = null;
        }
    }
    
    public ConnectionParameters getParameters() {
        
        if( mParameters != null ) {
            return mParameters.clone();
        } else {
            return null;
        }
    }
    
    public abstract Connection mountConnection();
    
    protected ConnectionParameters mParameters;
    
}
