package publications;

import java.util.Vector;

public class Book
    extends Publication {
    
    public Book(
            String pTitle,
            Vector< Author > pAuthors,
            Vector< Bookmark > pBookmarks )
            throws IllegalArgumentException {
        
        super(
                pTitle,
                pAuthors,
                pBookmarks );
    }
    
    public boolean isViewable() {
        
        return true;
    }
    
    public PublicationType getType() {
        
        return PublicationType.Book;
    }
}
