package publications;

public final class PublicationType {
    
    private PublicationType(
            String pStringRepresentation ) {
        
        mStringRepresentation = pStringRepresentation;
    }
    
    public static final PublicationType Bind = new PublicationType( "" );
    public static final PublicationType Book = new PublicationType( "" );
    public static final PublicationType Article = new PublicationType( "" );
    
    public String toString() {
        
        return new String( mStringRepresentation );
    }
    
    private String mStringRepresentation;
}