package readers;

import publications.Publication;
import publications.Bookmark;

import java.util.Vector;

public interface Reader {
    
    public Publication getPublication( 
            Bookmark pBookmark );
    
    public Vector< String > getTopics();
    
    public Publication getTopic(
            String pTopic );
    
    public Publication getAuthorList();
    
    public Publication getBookList();
    
    public Publication search( 
            String pConditions,
            boolean pByAuthor,
            boolean byPublication );
    
    public boolean ready();
}