package travellers;

import publications.Publication;
import publications.Bookmark;
import readers.Reader;

public class BookmarkTravellerStation 
    implements TravellerStation {
    
    public BookmarkTravellerStation(
            Bookmark pBookmark ) {
        
        mBookmark = pBookmark;
    }
    
    public Publication getPublication(
            Reader pReader ) {
        
        return pReader.getPublication( mBookmark );
    }
    
    private Bookmark mBookmark;
    
}
